<app-header-logged>
    <ion-back-button text="" [defaultHref]="defaultHref()"></ion-back-button>
</app-header-logged>
<app-ariane style="margin-top : 0px " etape=5> </app-ariane>
<ion-content class="contentPrincipal" [ngClass]="largeur>500? 'largeEcran' : 'smallEcran' ">

    <app-refresher></app-refresher>
    <ion-card-title class="titre">
        <ion-grid>
            <ion-row>
                <ion-col text-left>
                    <img class="logo" [src]="logo">
                </ion-col>
                <ion-col text-right>
                    <!-- <ion-label *ngIf="typeOrigineRoutine ==typeRoutineSimulation" class ="montantCompagnie">{{simulationActif.montantTTCCompagnie}}</ion-label>   -->
                    <ion-label *ngIf="typeOrigineRoutine ==typeRoutineSimulation" class="montantCompagnie">16000 FCFA
                    </ion-label>
                    <ion-label *ngIf="typeOrigineRoutine ==typeRoutineNewContrat || typeOrigineRoutine ==typeRoutineRenewContrat" class="montantCompagnie">{{operationActif.paiement.montant}}</ion-label>
                </ion-col>
            </ion-row>
        </ion-grid>
    </ion-card-title>

    <ion-grid text-center>
        <ion-label text-center class="titrePartition" translate>date_utilisation</ion-label>
    </ion-grid>
    <ion-grid>
        <ion-row>
            <ion-col text-center>
                <ion-label class="nomContenu" translate>date_effet</ion-label> <br>
                <ion-label *ngIf="typeOrigineRoutine ==typeRoutineSimulation" class="date">
                    {{displayDate(simulationActif.dateDebut)}}</ion-label>
                <ion-label *ngIf="typeOrigineRoutine ==typeRoutineNewContrat || typeOrigineRoutine ==typeRoutineRenewContrat" class="date">{{displayDate(operationActif.dateEffet)}}</ion-label>
            </ion-col>
            <ion-col text-center>
                <ion-label class="nomContenu" translate> date_de_cloture</ion-label> <br>
                <ion-label *ngIf="typeOrigineRoutine ==typeRoutineSimulation" class="date">
                    {{displayDate(simulationActif.dateFin)}}</ion-label>
                <ion-label *ngIf="typeOrigineRoutine ==typeRoutineNewContrat || typeOrigineRoutine ==typeRoutineRenewContrat" class="date">{{displayDate(operationActif.dateCloture)}}</ion-label>
            </ion-col>
        </ion-row>
    </ion-grid>
    <!-- simulation mono objet -->
    <!-- <ion-grid text-center>   <ion-label text-center class ="titrePartition">  Informations Véhicule</ion-label> </ion-grid>
              <ion-grid text-center>  <ion-label *ngIf="typeOrigineRoutine ==typeRoutineSimulation" class ="nomContenu"> {{simulationActif.objet.marque}}-{{simulationActif.objet.modele}}-{{simulationActif.objet.annee}}</ion-label>
                     <ion-label *ngIf="typeOrigineRoutine ==typeRoutineNewContrat || typeOrigineRoutine ==typeRoutineRenewContrat" class ="nomContenu"> {{autoActif.marque}}-{{autoActif.modele}}-{{autoActif.annee}}</ion-label></ion-grid>
                     <ion-grid text-center>   <ion-label text-center class ="titrePartition">  Vos options</ion-label> </ion-grid>
                     <ion-list *ngIf="typeOrigineRoutine ==typeRoutineSimulation">
                            <ion-item *ngFor="let item of operationSimActif.garanties">
                                   <ion-label class ="nomContenu options"> {{item.typeGarantie.nom}}
                                          <ion-text class ="couleurCond"  (click)="chargerConditionsGenerales(recupererConditionsGarantie(item,simulationActif.ca).id) ">
                                                 -{{simulationActif.ca.nom+" "}}CG-{{recupererConditionsGarantie(item,simulationActif.ca).id}}<ion-icon  name ="eye"></ion-icon>
                                          </ion-text>

                                          -21020
                                          -illimités
                                          -Néant
                                   </ion-label>
                            </ion-item>


                     </ion-list>
                     <ion-list *ngIf="typeOrigineRoutine ==typeRoutineNewContrat || typeOrigineRoutine ==typeRoutineRenewContrat || typeOrigineRoutine ==typeRoutineNewContrat || typeOrigineRoutine ==typeRoutineRenewContrat">
                            <ion-item *ngFor="let item of operationSimActif.garanties">
                                   <ion-label class ="nomContenu options"> {{item.typeGarantie.nom}}

                                          <ion-text class ="couleurCond"  (click)="chargerConditionsGenerales(recupererConditionsGarantie(item,contratActif.ca).id) ">
                                                 -{{contratActif.ca.nom+" "}}CG-{{recupererConditionsGarantie(item,contratActif.ca).id}}<ion-icon  name ="eye"></ion-icon>
                                          </ion-text>
                                          -21020
                                          -illimités
                                          -Néant
                                   </ion-label>
                            </ion-item>


                     </ion-list> -->
    <!-- fin simulation mono objet -->

    <!-- simulation multi objet -->
    <!-- <ion-grid  style="margin-top : 0px ;">
                            <ion-row>
                                   <ion-col text-left>
                                          <ion-button color ="secondary" (click)="swipeBack()"><ion-icon  name ="arrow-back"></ion-icon> <ion-icon name ="car"></ion-icon></ion-button>
                                   </ion-col>

                                   <ion-col text-right>
                                          <ion-button color ="secondary" (click)="swipeNext()"><ion-icon name ="car"></ion-icon> <ion-icon name ="arrow-forward"></ion-icon></ion-button>
                                   </ion-col>
                            </ion-row>
                     </ion-grid>             -->
    <ion-slides *ngIf="typeOrigineRoutine ==typeRoutineSimulation" [options]="slideOptsOne" #slideWithNav (ionSlideTouchEnd)="slideChanged('infos')">

        <ion-slide *ngFor="let simulation of listeSimFlotte">

            <ion-card class="cardObjet">
                <!-- //-->
                <ion-grid text-center>
                    <ion-label text-center class="titrePartition" translate>informations_vehicule</ion-label>
                </ion-grid>
                <ion-grid text-center>
                    <ion-label text-center class="nomContenu">
                        <span *ngFor="let att of simulation.objet.attributs">
                            {{att.attribut.code == "marqueVehiculeAuto" ? att.valeur: ''}}
                        </span>-
                        <span *ngFor="let att of simulation.objet.attributs">
                            {{att.attribut.code == "appellationCom" ? att.valeur: ''}}
                        </span>-
                        <span *ngFor="let att of simulation.objet.attributs">
                            {{att.attribut.code == "valDate1ereCirculation" ? att.valeur: ''}}
                        </span>
                    </ion-label>
                </ion-grid>
                <ion-grid *ngIf="listeSimFlotte.length>1">
                    <ion-row>

                        <ion-col text-center>
                            <ion-label class="nomContenu" translate>montant</ion-label> <br>
                            <ion-label class="date">{{simulationActif.montantUniqueObjet}}
                            </ion-label>

                        </ion-col>
                    </ion-row>
                </ion-grid>
                <ion-grid *ngIf="listeSimFlotte.length>1">
                    <ion-row>
                        <ion-col text-center>
                            <ion-label class="nomContenu" translate>date_effet</ion-label> <br>
                            <ion-label class="date">{{displayDate(simulation.dateDebut)}}
                            </ion-label>

                        </ion-col>
                        <ion-col text-center>
                            <ion-label class="nomContenu" translate> date_de_cloture</ion-label>
                            <br>
                            <ion-label class="date">{{displayDate(simulation.dateFin)}}</ion-label>

                        </ion-col>
                    </ion-row>
                </ion-grid>



                <!---->


                <ion-grid text-center>
                    <ion-label text-center class="titrePartition" translate>vos_options</ion-label>
                </ion-grid>

                <ion-list lines="none">


                    <ion-item lines="none" style=" --background: linear-gradient( white,rgb(245, 239, 239), var(--ion-color-tertiary));" *ngFor="let item of simulation.typeGaranties">
                        <ion-label class="nomContenu options"> {{item.nom}}
                            <ion-text class="couleurCond" (click)="chargerConditionsGenerales(recupererConditionsGarantie(item,simulation.ca).id) ">
                                -{{simulation.ca.nom+" "}}CG-{{recupererConditionsGarantie(item,simulation.ca).id}}
                                <ion-icon name="eye"></ion-icon>
                            </ion-text>

                            -21020 -illimités -Néant
                        </ion-label>
                    </ion-item>


                </ion-list>

            </ion-card>


        </ion-slide>

    </ion-slides>
    <ion-slides *ngIf="typeOrigineRoutine ==typeRoutineNewContrat || typeOrigineRoutine ==typeRoutineRenewContrat" [options]="slideOptsOne" #slideWithNav (ionSlideTouchEnd)="slideChanged('infos')">

        <ion-slide *ngFor="let routine of listeRoutineContrat;let i=index">

            <ion-card>
                <ion-grid text-center>
                    <ion-label text-center class="titrePartition" translate> informations_vehicule
                    </ion-label>
                </ion-grid>

                <ion-grid text-center>
                    <ion-label text-center class="nomContenu">
                        <span *ngFor="let att of routine.objet.TabAtrributs">
                            <!-- {{att.attribut.code == "marqueVehiculeAuto" ? att.valeur: ''}} -->
                            {{att.attribut.code!='valDate1ereCirculation'?att.valeur:utilsService.displayDate(att.valeur)}}-
                        </span>
                        <!-- <span *ngFor="let att of routine.objet.attributs">
                            {{att.attribut.code == "marqueVehiculeMoto" ? att.valeur: ''}}
                        </span>-
                        <span *ngFor="let att of routine.objet.attributs">
                            {{att.attribut.code == "appellationCom" ? att.valeur: ''}}
                        </span>-
                        <span *ngFor="let att of routine.objet.attributs">
                            {{att.attribut.code == "appellationComMoto" ? att.valeur: ''}}
                        </span>-
                        <span *ngFor="let att of routine.objet.attributs">
                            {{att.attribut.code == "valDate1ereCirculation" ? att.valeur: ''}}
                        </span> -->
                    </ion-label>
                </ion-grid>
                <ion-grid text-center>
                    <ion-label text-center class="titrePartition" translate>vos_options</ion-label>
                </ion-grid>


                <ion-list>
                    <ion-item *ngFor="let garantie of routine.assureContrat.garanties ">
                        <ion-label class="nomContenu options"> {{garantie.libelle}}

                            <ion-text class="couleurCond" (click)="chargerConditionsGenerales(recupererConditionsGarantie(garantie,routine.contrat.myCA).id) ">
                                -{{routine.contrat.myCA.nom+" "}}CG-{{recupererConditionsGarantie(garantie,routine.contrat.myCA).id}}
                                <ion-icon name="eye"></ion-icon>
                            </ion-text>
                            -21020 -illimités -Néant
                        </ion-label>
                    </ion-item>


                </ion-list>
            </ion-card>


        </ion-slide>

    </ion-slides>

    <!--fin simulation multi objet-->
    <ion-card class="background" [ngClass]="largeur<360? 'xsmallContent' : '' ">
        <ion-grid text-center>
            <ion-label text-center class="titrePartition" translate> offres_promotionelles</ion-label>
        </ion-grid>
        <ion-list>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu" translate>reduction</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie"></ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu" translate>prix</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie">15000 FCFA</ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu" translate>remise</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie"></ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu" translate>remise_flotte</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie"></ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu"> TVA:</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie"></ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu"> FGA:</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie"></ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu" translate>frais</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie">1000 FCFA</ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-col text-left>
                            <ion-label class="nomContenu" translate>prime_TTC:</ion-label>
                        </ion-col>
                        <ion-col text-right>
                            <ion-label class="montantCompagnie">16000 FCFA</ion-label>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </ion-item>


        </ion-list>

    </ion-card>



</ion-content>
<ion-footer>
    <ion-toolbar>
        <!-- <ion-grid text-center>   <ion-label text-center  class ="labelPaiement">  Paiement</ion-label> </ion-grid>  -->
        <ion-grid text-center>
            <ion-row text-center>
                <!-- <ion-col >
                                          <ion-button color ="secondary" class="iconePaiement">
                                                 <img  src="/../assets/img/visa.png" />
                                          </ion-button>
                                   </ion-col>
                                   <ion-col >
                                          <ion-button color ="secondary" (click)="valider()" class="iconePaiement">
                                                 <img  src="/../assets/img/oMoney.jpg" />
                                          </ion-button>
                                   </ion-col>
                                   <ion-col >
                                          <ion-button color ="secondary"  class="iconePaiement">
                                                 <img  src="/../assets/img/wari.jpg" />
                                          </ion-button>
                                   </ion-col> -->
                <ion-col>
                    <ion-button (click)="paytech()">
                        <ion-label translate>payer_le_produit</ion-label>
                    </ion-button>
                    <ion-button (click)="createContratTest()">
                        <ion-label translate>Créer contrat</ion-label>
                    </ion-button>
                </ion-col>
            </ion-row>
        </ion-grid>
    </ion-toolbar>

</ion-footer>